Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.security
Class SecurityClassMetaDataBinding

    java.lang.Object
      org.jboss.aop.metadata.ClassMetaDataBinding
          org.jboss.aspects.security.SecurityClassMetaDataBinding

public class SecurityClassMetaDataBinding
extends org.jboss.aop.metadata.ClassMetaDataBinding

Version:
  $Revision: 1.2.2.9 $
Author:
  Bill Burke

Field Summary
`protected ArrayList` | `constructorExcludeList`
`protected ArrayList` | `constructorPermissions`
`protected ArrayList` | `fieldExcludeList`
`protected HashMap` | `fieldPermissions`
`protected ArrayList` | `methodExcludeList`
`protected ArrayList` | `methodPermissions`
`protected String` | `runAs`
`protected String` | `securityDomain`
`protected ArrayList` | `securityRoles`

Fields inherited from class org.jboss.aop.metadata.ClassMetaDataBinding
`advisors, classExpr, expr, loader, name, tag`

Constructor Summary
`SecurityClassMetaDataBinding(org.jboss.aop.metadata.ClassMetaDataLoader loader, String name, String group, String expr)`

Method Summary
`ArrayList` | `getConstructorExcludeList()`
`ArrayList` | `getConstructorPermissions()`
`ArrayList` | `getFieldExcludeList()`
`HashMap` | `getFieldPermissions()`
`ArrayList` | `getMethodExcludeList()`
`ArrayList` | `getMethodPermissions()`
`String` | `getRunAs()`
`String` | `getSecurityDomain()`
`ArrayList` | `getSecurityRoles()`
`void` | `setConstructorExcludeList(ArrayList list)`
`void` | `setConstructorPermissions(ArrayList permissions)`
`void` | `setFieldExcludeList(ArrayList list)`
`void` | `setFieldPermissions(HashMap permissions)`
`void` | `setMethodExcludeList(ArrayList list)`
`void` | `setMethodPermissions(ArrayList permissions)`
`void` | `setRunAs(String as)`
`void` | `setSecurityDomain(String domain)`
`void` | `setSecurityRoles(ArrayList roles)`

Methods inherited from class org.jboss.aop.metadata.ClassMetaDataBinding
`addAdvisor, clearAdvisors, equals, getClassExpr, getLoader, getName, getTag, hashCode, matches, matches`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### securityRoles

    protected ArrayList securityRoles

### methodPermissions

    protected ArrayList methodPermissions

### methodExcludeList

    protected ArrayList methodExcludeList

### constructorPermissions

    protected ArrayList constructorPermissions

### constructorExcludeList

    protected ArrayList constructorExcludeList

### fieldPermissions

    protected HashMap fieldPermissions

### fieldExcludeList

    protected ArrayList fieldExcludeList

### runAs

    protected String runAs

### securityDomain

    protected String securityDomain

Constructor Detail

### SecurityClassMetaDataBinding

    public SecurityClassMetaDataBinding(org.jboss.aop.metadata.ClassMetaDataLoader loader,
                                        String name,
                                        String group,
                                        String expr)

Method Detail

### getSecurityDomain

    public String getSecurityDomain()

### setSecurityDomain

    public void setSecurityDomain(String domain)

### getSecurityRoles

    public ArrayList getSecurityRoles()

### setSecurityRoles

    public void setSecurityRoles(ArrayList roles)

### getMethodPermissions

    public ArrayList getMethodPermissions()

### setMethodPermissions

    public void setMethodPermissions(ArrayList permissions)

### getMethodExcludeList

    public ArrayList getMethodExcludeList()

### setMethodExcludeList

    public void setMethodExcludeList(ArrayList list)

### getFieldPermissions

    public HashMap getFieldPermissions()

### setFieldPermissions

    public void setFieldPermissions(HashMap permissions)

### getFieldExcludeList

    public ArrayList getFieldExcludeList()

### setFieldExcludeList

    public void setFieldExcludeList(ArrayList list)

### getConstructorPermissions

    public ArrayList getConstructorPermissions()

### setConstructorPermissions

    public void setConstructorPermissions(ArrayList permissions)

### getConstructorExcludeList

    public ArrayList getConstructorExcludeList()

### setConstructorExcludeList

    public void setConstructorExcludeList(ArrayList list)

### getRunAs

    public String getRunAs()

### setRunAs

    public void setRunAs(String as)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.